.btn-primary {
    background-color: #0051c3;
    border: .063rem solid #0051c3;
    border-radius: .313rem;
    color: #fff;
    cursor: pointer;
    font-size: .875rem;
    line-height: 1.313rem;
    margin: 2rem 0;
    padding: .375rem 1rem;
    transition-duration: .2s;
    transition-property: background-color, border-color, color;
    transition-timing-function: ease
}

.btn-primary:hover {
    background-color: #003681;
    border-color: #003681;
    color: #fff;
    cursor: pointer
}

.check-label .check-icon {
    animation: scale-up-center .4s cubic-bezier(.55,.085,.68,.53) both;
    background: #fff;
    border: 2px solid #6d6d6d;
    border-radius: 3px;
    box-sizing: border-box;
    grid-area: 1/1;
    height: 24px;
    transition: all .1s ease-in;
    width: 24px;
    z-index: 9998;
}

.check-wrapper {
    align-items: center;
    cursor: pointer;
    display: flex;
    margin-left: 16px;
    text-align: left;
}

.check-label {
    display: grid;
    place-items: center;
}

.check-text {
    align-items: center;
    display: flex;
    flex-flow: row-reverse nowrap;
    place-content: center flex-end;
    grid-column: 2;
    margin-left: 8px;
}

.check-box {
    width: 24px;
    height: 24px;
    border: 2px solid #6d6d6d;
    border-radius: 3px;
    background: #fff;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 8px;
    transition: all .1s ease-in;
}

.check-box:hover {
    border-color: #f6821f;;
}

.check-box.checked {
    background-color: #f6821f;
    border-color: #f6821f;
}

.check-mark {
    width: 12px;
    height: 12px;
    background: transparent;
    position: relative;
}

.check-box.checked .check-mark::after {
    content: '✓';
    color: white;
    font-size: 14px;
    font-weight: bold;
    position: absolute;
    top: -2px;
    left: 1px;
}

#challenge-error-text,
#challenge-success-text {
    background-repeat: no-repeat;
    background-size: contain
}

.loading-spinner {
    height: 76.391px
}

.lds-ring {
    display: inline-block;
    position: relative
}

.lds-ring,
.lds-ring div {
    height: 1.875rem;
    width: 1.875rem
}

.lds-ring div {
    animation: lds-ring 1.2s cubic-bezier(.5, 0, .5, 1) infinite;
    border: .3rem solid transparent;
    border-radius: 50%;
    border-top-color: #313131;
    box-sizing: border-box;
    display: block;
    position: absolute
}

.lds-ring div:first-child {
    animation-delay: -.45s
}

.lds-ring div:nth-child(2) {
    animation-delay: -.3s
}

.lds-ring div:nth-child(3) {
    animation-delay: -.15s
}

@keyframes lds-ring {
    0% {
        transform: rotate(0deg)
    }

    to {
        transform: rotate(1turn)
    }
}